Package org.apache.wiki.markdown.extensions.jspwikilinks.attributeprovider

# Class JSPWikiLinkAttributeProvider

java.lang.Object
org.apache.wiki.markdown.extensions.jspwikilinks.attributeprovider.JSPWikiLinkAttributeProvider

All Implemented Interfaces:
  `com.vladsch.flexmark.html.AttributeProvider`

public class JSPWikiLinkAttributeProvider extends Object implements com.vladsch.flexmark.html.AttributeProvider
`AttributeProvider` to decorate `JSPWikiLink`s. Acts as a factory of `NodeAttributeProviderState`s, which are the classes setting the attributes for each concrete type of link.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final LinkParsingOperations`
`linkOperations`
`protected final org.apache.wiki.api.core.Context`
`wikiContext`

## Constructor Summary

Constructors
Constructor
Description
`JSPWikiLinkAttributeProvider(org.apache.wiki.api.core.Context wikiContext, boolean isImageInlining, List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)`

## Method Summary

Modifier and Type
Method
Description
`void`
`setAttributes(com.vladsch.flexmark.util.ast.Node node, com.vladsch.flexmark.html.renderer.AttributablePart part, com.vladsch.flexmark.util.html.MutableAttributes attributes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### wikiContext

protected final org.apache.wiki.api.core.Context wikiContext

### linkOperations

protected final LinkParsingOperations linkOperations

## Constructor Details

### JSPWikiLinkAttributeProvider

public JSPWikiLinkAttributeProvider(org.apache.wiki.api.core.Context wikiContext, boolean isImageInlining, List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)

## Method Details

### setAttributes

public void setAttributes(com.vladsch.flexmark.util.ast.Node node, com.vladsch.flexmark.html.renderer.AttributablePart part, com.vladsch.flexmark.util.html.MutableAttributes attributes)

Specified by:
  `setAttributes` in interface `com.vladsch.flexmark.html.AttributeProvider`
See Also:
  - `AttributeProvider.setAttributes(Node, AttributablePart, MutableAttributes)`